View Issue Details

IDProjectCategoryView StatusLast Update
0000150MantisDroid[All Projects] Taskpublic2012-07-26 23:28
Reportere7andy Assigned Toe7andy  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version1.0Fixed in Version1.0 
Summary0000150: Create xml layout for issues
Description-Add/remove project depending on choice in navigation select.
-Add padding around the edges.

Fields to show:
| id | [project (if "All projects")] summary
| prio | category - last_updated

Leading zeros for id:
String.format("%06d", issue.getId());

Bold for id TextView
android:textStyle="bold"

------------------------------
Code to handle priorities:

ImageView priority = (ImageView) findViewById(R.id.issueItemPriority);

priority.setImageResource(getPriorityDrawableFromPriorityValue(issue.getPriority());


---------------------------------------------------------------


int prio = priority.getId();
switch prio {
    case 10:
        return R.drawable.blank;
    case 20:
        return R.drawable.priority_low_1;
    case 30:
        return R.drawable.priority_normal;
    case 40:
        return R.drawable.priority_1;
    case 50:
        return R.drawable.priority_2;
    case 60:
        return R.drawable.priority_3;
    default:
        return R.drawable.blank;
}


------------------------------
TagsNo tags attached.

Activities

e7andy

2012-05-03 13:17

administrator  

priority_1.gif (64 bytes)
priority_1.gif (64 bytes)

e7andy

2012-05-03 13:17

administrator  

blank.gif (54 bytes)
blank.gif (54 bytes)

e7andy

2012-05-03 13:18

administrator  

priority_2.gif (70 bytes)
priority_2.gif (70 bytes)

e7andy

2012-05-03 13:18

administrator  

priority_3.gif (76 bytes)
priority_3.gif (76 bytes)

e7andy

2012-05-03 13:18

administrator  

priority_low_1.gif (61 bytes)
priority_low_1.gif (61 bytes)

e7andy

2012-05-03 13:18

administrator  

priority_low_2.gif (68 bytes)
priority_low_2.gif (68 bytes)

e7andy

2012-05-03 13:18

administrator  

priority_low_3.gif (72 bytes)
priority_low_3.gif (72 bytes)

e7andy

2012-05-03 13:18

administrator  

priority_normal.gif (58 bytes)
priority_normal.gif (58 bytes)

Issue History

Date Modified Username Field Change
2012-04-26 13:06 e7andy New Issue
2012-04-26 13:06 e7andy Status new => assigned
2012-04-26 13:06 e7andy Assigned To => e7andy
2012-04-27 09:25 e7andy Assigned To e7andy =>
2012-04-27 09:25 e7andy Status assigned => confirmed
2012-04-30 11:23 e7andy Summary Add xml layout for issues => Create xml layout for issues
2012-04-30 16:03 e7andy Assigned To => e7andy
2012-04-30 16:03 e7andy Status confirmed => assigned
2012-05-03 09:25 e7andy Description Updated View Revisions
2012-05-03 13:17 e7andy Description Updated View Revisions
2012-05-03 13:17 e7andy File Added: priority_1.gif
2012-05-03 13:17 e7andy File Added: blank.gif
2012-05-03 13:18 e7andy File Added: priority_2.gif
2012-05-03 13:18 e7andy File Added: priority_3.gif
2012-05-03 13:18 e7andy File Added: priority_low_1.gif
2012-05-03 13:18 e7andy File Added: priority_low_2.gif
2012-05-03 13:18 e7andy File Added: priority_low_3.gif
2012-05-03 13:18 e7andy File Added: priority_normal.gif
2012-05-03 13:19 e7andy Description Updated View Revisions
2012-05-03 13:21 e7andy Description Updated View Revisions
2012-05-03 13:33 e7andy Description Updated View Revisions
2012-05-04 11:15 e7andy Description Updated View Revisions
2012-05-04 22:45 e7andy Status assigned => closed
2012-05-04 22:45 e7andy Resolution open => fixed
2012-05-04 22:45 e7andy Fixed in Version => 1.0
2012-05-05 18:55 e7andy Status closed => assigned
2012-05-06 18:36 e7andy Status assigned => closed
2012-07-26 23:28 e7andy Category Request => Task